Name:		isic
Version:	0.06
Release:	2%{?dist}
Summary:	IP Stack Integrity Checker

Group:		Applications/Internet
License:	BSD
Url:		http://www.packetfactory.net/projects/ISIC/
Source0:	http://www.packetfactory.net/projects/ISIC/%{name}-%{version}.tgz
Patch1:		isic-0.06-gcc4.patch
Patch2:		isic-0.06-make.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: libnet >= 1.1.0
BuildRequires: libnet-devel >= 1.1.0

%description
ISIC is a suite of utilities to exercise the stability of
an IP Stack and its component stacks (TCP, UDP, ICMP et.
al.) It generates piles of pseudo random packets of the
target protocol. The packets be given tendancies to conform
to. Ie 50% of the packets generated can have IP Options.
25% of the packets can be IP fragments... But the
percentages are arbitrary and most of the packet fields
have a configurable tendancy.

The packets are then sent against the target machine to
either penetrate its firewall rules or find bugs in the
IP stack.

ISIC also contains a utility generate raw ether frames to
examine hardware implementations. 

%prep
%setup -q
%patch1 -p1 -b .gcc4
%patch2 -p0 -b .make
chmod 644 wrapper.sh

%build
%configure --prefix=/usr --libdir=/usr/%{_lib} --mandir=/usr/share/man
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/esic
%{_bindir}/icmpsic
%{_bindir}/isic
%{_bindir}/tcpsic
%{_bindir}/udpsic

%doc README ChangeLog INSTALL wrapper.sh

%changelog
* Thu May 18 2006 Jarod Wilson <jwilson@redhat.com> 0.06-2
- make wrapper.sh chmod 644

* Thu May 18 2006 Jarod Wilson <jwilson@redhat.com> 0.06-1
- Initial release
